<template>
  <ux-dialog>
    <ux-dialog-header>
      <span textcontent.one-time="isNew ? 'New radio' : 'Edit radio'"></span>
      <div class="dialog-close" click.delegate="controller.close()"><i class="las la-times"></i></div>
    </ux-dialog-header>
    <ux-dialog-body>
      <form class="edit-form" submit.delegate="submit()">
        <div class="form-inputs">
          <label>
            <span>Name</span>
            <input type="text" value.bind="radio.name" attach-focus>
          </label>
          <label>
            <span>URL</span>
            <input type="text" value.bind="radio.url">
          </label>
          <label>
            <span>Tags</span>
            <input type="text" ref="tagsSelect">
          </label>
        </div>
        <input type="submit" style="display: none" />
      </form>
    </ux-dialog-body>

    <ux-dialog-footer>
      <button type="button" click.delegate="deleteRadio()" if.one-time="!isNew">Delete</button>
      <button click.delegate="controller.cancel()">Cancel</button>
      <button click.delegate="submit()">Ok</button>
    </ux-dialog-footer>
  </ux-dialog>
</template>
